SWITCHBOARD(1)

NAME
switchboard - Modular Settings Hub

SYNOPSIS
switchboard [option...] [plug-name|plug-option...]

DESCRIPTION
switchboard is a modular GUI settings hub. Switchboard provides the chrome and the actual settings are handled by individual settings panels, or plugs. Plugs interface with Switchboard via GModule and can be added or removed without recompiling Switchboard.

When launched without options Switchboard shows a list of all available plugs. It can also be instructed to display a specific plug, either by its short name (e.g. "about") or using the fully qualified name (e.g. "system-pantheon-about").

OPTIONS

-h, --help
    Show a help message and exit.

-d, --debug
    Enable debug logging.

--display=DISPLAY
    X display to use.

PLUG OPTIONS

-o full-plug-name, --open-plug=full-plug-name
    Launch a plug by its fully qualified name. Useful for launching plugs without an established short name or if you want to override Switchboard's default plug choice for the short name.

-a, --about
    Show "About" dialog. Do not display the main window or open any plugs.

AUTHOR
Avi Romanoff <avi@elementaryos.org>, Lucas Baudin <xapantu@gmail.com>, Corentin Noël <corentin@elementaryos.org> et al.

This manual page was written by Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>, for the Debian project (but may be used by others).